package normal

import (
	"context"

	"haixun-backend/internal/svc"
	"haixun-backend/internal/types"
)

type HealthLogic struct {
	ctx    context.Context
	svcCtx *svc.ServiceContext
}

func NewHealthLogic(ctx context.Context, svcCtx *svc.ServiceContext) *HealthLogic {
	return &HealthLogic{ctx: ctx, svcCtx: svcCtx}
}

func (l *HealthLogic) Health() (*types.HealthData, error) {
	return &types.HealthData{Pong: "ok"}, nil
}
